Phones
This is a service for consulting Brazilian people. This feature queries the phone numbers related to the CPF provided and returns the data received in the same request.
There are two other possible responses for status code 200: Within serviceData, it may contain only the message attribute with the values: "The CPF does not exist in the Receita Federal database." or "This CPF belongs to a minor. The request can't be processed for legal reasons."
The PF Phones service returns the list of phone numbers related to the provided CPF.
Permission required: Create Services
Your access token. See more in the 'Authentication' topic of this section.
The name of the requested service, for PF Phones needs to be "pf_phones"
pf_phonesAll fields passed to the metadata will be returned in the response, this field is useful to bring an internal identifier of the request for example
Success
Invalid provided body
Invalid token
The token does not have permission to access this resource
Internal server error
POST /v1/services/ HTTP/1.1
Host: api.us.prd.caf.io
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 90
{
"service": "pf_phones",
"parameters": {
"cpf": "text",
"birthDate": "14/02/2010"
},
"metadata": {}
}{
"requestId": "text",
"message": "text",
"data": {
"service": "pf_phones",
"serviceData": {
"phones": [
{
"number": "999999999",
"areaCode": "11",
"countryCode": "55",
"type": "MOBILE",
"lastPassageDate": "2000-01-01T00:00:00Z",
"portabilityHistory": [
{
"OriginalCarrier": "text",
"NewCarrier": "text",
"PortabilityDate": "text"
}
],
"hasOptIn": false
}
]
},
"metadata": {}
}
}Last updated

